.book-details-wrapper {}

.book-details-wrapper .my-bookshelf-page-content {
    padding: 40px 0 30px;
}

.book-details-wrapper .my-bookshelf-page-content .my-bookshelf-page-content-inner .my-bookshelf-heading a {
    font-size: 26px;
    color: var(--secondary-color);
    font-family: 'Gurmukhi MN';
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.book-details-wrapper.user-settings-wrapper .my-bookshelf-page-content .my-bookshelf-page-content-inner .my-bookshelf-heading h1,
.book-details-wrapper .my-bookshelf-page-content .my-bookshelf-page-content-inner .my-bookshelf-heading a span {
    position: relative;
    top: 5px;
}

.book-details-wrapper .my-bookshelf-page-content .my-bookshelf-page-content-inner .my-bookshelf-heading a i {
    width: 26px;
}

.my-bookshelf-details-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
}

.my-bookshelf-details-wrapper-left {
    width: 356px;
}

.my-bookshelf-details-wrapper-thumb {
    width: 318px;
    height: 454px;
    /* margin-bottom: 40px; */
    box-shadow: -16px 16px 16px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    display: block;
    margin: 0 auto 40px;
}

.my-bookshelf-details-wrapper-thumb img {
    width: 100%;
    height: 100%;
}

.my-bookshelf-details-wrapper-left a.add-to-bookshelf-btn,
.my-bookshelf-details-wrapper-left a.view-on-amazon-btn {
    width: 100%;
    display: block;
    font-size: 16px;
    font-weight: 500;
    line-height: 100%;
    letter-spacing: var(--letter-spacing);
    text-decoration: none;
    color: var(--white-color);
    background: var(--secondary-color);
    padding: 16px 15px;
    text-align: center;
    border-radius: 40px;
    margin: 20px 0 8px 0;
    border: 1px solid var(--secondary-color);
    transition: all 0.3s ease;
}

.my-bookshelf-details-wrapper-left a.view-on-amazon-btn {
    background: transparent;
    color: var(--secondary-color);
}

.my-bookshelf-details-wrapper-left ul {
    list-style: none;
    margin: 0;
    padding: 20px 0 0;
    display: flex;
    justify-content: space-between;
}

.my-bookshelf-details-wrapper-left ul li {
    list-style: none;
    margin: 0;
    padding: 0
}

.my-bookshelf-details-wrapper-left ul li a {
    font-size: 12px;
    color: var(--secondary-color);
    line-height: 16px;
    text-decoration: none;
    width: 22px;
    height: 27px;
    display: inline-block;
    position: relative;
    font-weight: var(--font-weight-500);
}

.my-bookshelf-details-wrapper-left ul li a i {
    font-size: 27px;
    opacity: 0.5;
}

.my-bookshelf-details-wrapper-left ul li a span {
    position: absolute;
    top: 2.5px;
    left: 0;
    bottom: auto;
    right: 0;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary-color);
    opacity: 0.5;
}

.my-bookshelf-details-wrapper-left ul li.active a i {
    opacity: 1;
}

.my-bookshelf-details-wrapper-left ul li.active a span {
    opacity: 1;
    color: var(--white-color);
}

/* .impact-rating-common.hovered a,
.impact-rating-common.hovered a span {
    color: var(--white-color);
}

.impact-rating-common.hovered a i,
.impact-rating-common.hovered a span {
    opacity: 1;
} */

/* .my-bookshelf-details-wrapper-left ul li.active.hover-active a i {
    opacity: 0.5;
} */

.my-bookshelf-details-wrapper-left ul.impact-rating-list.hover-active li.active a i {
    opacity: 0.5;
}

.my-bookshelf-details-wrapper-left ul.impact-rating-list.hover-active li.active a span {
    opacity: 0.5;
    color: var(--secondary-color);
}

.my-bookshelf-details-wrapper-left ul.impact-rating-list.hover-active li.current-active a i {
    opacity: 1;
}

.my-bookshelf-details-wrapper-left ul.impact-rating-list.hover-active li.current-active a span {
    opacity: 1;
    color: var(--white-color);
}

/* .impact-rating-common.hover-active a span {
    opacity: 1;
    color: #FFF;
} */

.my-bookshelf-details-wrapper-left p {
    font-size: 14px;
    line-height: 23px;
    color: var(--secondary-color);
    font-weight: var(--font-weight-500);
    letter-spacing: var(--letter-spacing);
    text-align: center;
    margin: 20px auto auto;
}

.my-bookshelf-details-wrapper-right {
    background: var(--soft-ivory);
    padding: 40px;
    width: calc(100% - 406px);
}

.user-settings-profile-info {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    margin-bottom: 40px;
    align-items: start;
}

.my-bookshelf-details-wrapper-heading {
    position: relative;
    width: 100%;
    margin-bottom: 40px;
    text-align: left;
}

.my-bookshelf-details-wrapper-heading h1 {
    font-size: 52px;
    line-height: 78px;
    color: var(--secondary-color);
    font-family: 'Gurmukhi MN';
    font-weight: 400;
    margin: 0;
    text-align: left;
    max-width: 770px;
}

.my-bookshelf-details-rating {
    display: flex;
    align-items: center;
    gap: 10px;
}

.my-bookshelf-details-rating ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 8px;
}

.my-bookshelf-details-rating ul li a {
    font-size: 20px;
    text-decoration: none;
    color: rgba(34, 39, 54, 0.5);
    display: flex;
}

.my-bookshelf-details-rating p,
.rating-count span {
    font-size: 14px;
    line-height: 18px;
    font-weight: var(--font-weight-500);
    color: var(--secondary-color);
}

.rating-count {
    margin-left: 20px;
}

.rating-count span {
    color: var(--primary-color);
}

.my-bookshelf-details-favourite-copy-section {
    position: absolute;
    top: 0;
    right: 0;
}

.my-bookshelf-details-favourite-copy-section ul {
    list-style-type: none;
    display: flex;
    gap: 20px;
    margin: 0;
    padding: 0;
}

.my-bookshelf-details-favourite-copy-section ul li a {
    background: rgba(240, 238, 227, 1);
    width: 60px;
    height: 60px;
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    border-radius: 99em;
}

.my-bookshelf-details-favourite-copy-section ul li a i {
    font-size: 26px;
    color: var(--secondary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
}

.my-bookshelf-details-wrapper-content {
    margin-top: 30px;
    display: flex;
    gap: 30px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left {
    width: calc(100% - 320px);
    position: relative;
    padding-right: 30px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left::before {
    position: absolute;
    content: '';
    border: 1px solid rgba(218, 216, 206, 1);
    height: 540px;
    width: 2px;
    right: 0;
    /* padding-right: 20px; */
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content {
    margin-bottom: 30px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content h2,
.my-bookshelf-details-wrapper-heading h2 {
    font-size: 16px;
    line-height: 20px;
    font-weight: var(--font-weight-600);
    margin-bottom: 16px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content p,
.my-bookshelf-details-wrapper-heading p {
    font-size: 14px;
    line-height: 24px;
    font-weight: var(--font-weight-500);
    letter-spacing: var(--letter-spacing);
    color: var(--secondary-color);
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
    display: flex;
    flex-wrap: wrap;
    gap: 10px
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content ul li {
    font-size: 14px;
    line-height: 24px;
    font-weight: var(--font-weight-500);
    letter-spacing: var(--letter-spacing);
    color: var(--secondary-color);
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content ul li a {
    font-size: 14px;
    line-height: 24px;
    font-weight: var(--font-weight-500);
    letter-spacing: var(--letter-spacing);
    color: var(--primary-color);
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form {
    /* background: red; */
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form .form-group textarea {
    background: var(--beige-color);
    /* border: 1px solid rgba(218, 216, 206, 1); */
    border-radius: 8px;
    width: 100%;
    height: 240px;
    padding: 20px;
    font-size: 14px;
    line-height: 20px;
    border-radius: 0;
    border: none;
    resize: none;
    outline: none;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form .form-group-button .btn {
    width: 129px;
    background: var(--secondary-color);
    border-color: var(--secondary-color);
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form .form-group-button {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form .form-group-button .btn.disabled {
    pointer-events: none;
    opacity: 0.5;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left .my-bookshelf-details-wrapper-inner-content .takeaways-form .form-group-button a.btn {
    background: var(--primary-color);
    text-align: center;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-right {
    width: 320px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-right .my-bookshelf-details-wrapper-inner-content {
    margin-bottom: 40px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-right .my-bookshelf-details-wrapper-inner-content h3 {
    font-size: 16px;
    line-height: 20px;
    font-weight: var(--font-weight-600);
    margin-bottom: 16px;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-right .my-bookshelf-details-wrapper-inner-content p {
    font-size: 14px;
    line-height: 24px;
    font-weight: var(--font-weight-500);
    letter-spacing: var(--letter-spacing);
    color: var(--secondary-color);
}

.star-rating {
    position: relative;
    display: inline-block;
    font-size: 24px;
    /* Adjust size as needed */
    line-height: 1;
    width: max-content;
}

.star-rating i {
    pointer-events: none;
}

/* Base unfilled stars */
.icon-unfill-star {
    color: transparent;
    -webkit-text-stroke: 1px #ccc;
    /* Gray border */
    stroke: #ccc;
}

/* Overlay container for filled stars */
.star-fill-overlay {
    position: absolute;
    top: 0;
    left: 0;
    white-space: nowrap;
    overflow: hidden;
    width: 0;
    pointer-events: none;
}

/* Filled stars: remove gray border */
.star-fill-overlay .icon-fill-star {
    color: orange !important;
    -webkit-text-stroke: 0 !important;
    stroke: none !important;
    text-shadow: none !important;
    outline: none !important;
    background: none !important;
    border: none !important;
}


.star-rating[data-star="0.1"] .star-fill-overlay {
    width: 2%;
}

.star-rating[data-star="0.2"] .star-fill-overlay {
    width: 4%;
}

.star-rating[data-star="0.3"] .star-fill-overlay {
    width: 6%;
}

.star-rating[data-star="0.4"] .star-fill-overlay {
    width: 8%;
}

.star-rating[data-star="0.5"] .star-fill-overlay {
    width: 10%;
}

.star-rating[data-star="0.6"] .star-fill-overlay {
    width: 12%;
}

.star-rating[data-star="0.7"] .star-fill-overlay {
    width: 14%;
}

.star-rating[data-star="0.8"] .star-fill-overlay {
    width: 16%;
}

.star-rating[data-star="0.9"] .star-fill-overlay {
    width: 18%;
}

.star-rating[data-star="1"] .star-fill-overlay {
    width: 20%;
}

.star-rating[data-star="1.1"] .star-fill-overlay {
    width: 22%;
}

.star-rating[data-star="1.2"] .star-fill-overlay {
    width: 24%;
}

.star-rating[data-star="1.3"] .star-fill-overlay {
    width: 26%;
}

.star-rating[data-star="1.4"] .star-fill-overlay {
    width: 28%;
}

.star-rating[data-star="1.5"] .star-fill-overlay {
    width: 30%;
}

.star-rating[data-star="1.6"] .star-fill-overlay {
    width: 32%;
}

.star-rating[data-star="1.7"] .star-fill-overlay {
    width: 34%;
}

.star-rating[data-star="1.8"] .star-fill-overlay {
    width: 36%;
}

.star-rating[data-star="1.9"] .star-fill-overlay {
    width: 38%;
}

.star-rating[data-star="2"] .star-fill-overlay {
    width: 40%;
}

.star-rating[data-star="2.1"] .star-fill-overlay {
    width: 42%;
}

.star-rating[data-star="2.2"] .star-fill-overlay {
    width: 44%;
}

.star-rating[data-star="2.3"] .star-fill-overlay {
    width: 46%;
}

.star-rating[data-star="2.4"] .star-fill-overlay {
    width: 48%;
}

.star-rating[data-star="2.5"] .star-fill-overlay {
    width: 50%;
}

.star-rating[data-star="2.6"] .star-fill-overlay {
    width: 52%;
}

.star-rating[data-star="2.7"] .star-fill-overlay {
    width: 54%;
}

.star-rating[data-star="2.8"] .star-fill-overlay {
    width: 56%;
}

.star-rating[data-star="2.9"] .star-fill-overlay {
    width: 58%;
}

.star-rating[data-star="3"] .star-fill-overlay {
    width: 60%;
}

.star-rating[data-star="3.1"] .star-fill-overlay {
    width: 62%;
}

.star-rating[data-star="3.2"] .star-fill-overlay {
    width: 64%;
}

.star-rating[data-star="3.3"] .star-fill-overlay {
    width: 66%;
}

.star-rating[data-star="3.4"] .star-fill-overlay {
    width: 68%;
}

.star-rating[data-star="3.5"] .star-fill-overlay {
    width: 70%;
}

.star-rating[data-star="3.6"] .star-fill-overlay {
    width: 72%;
}

.star-rating[data-star="3.7"] .star-fill-overlay {
    width: 74%;
}

.star-rating[data-star="3.8"] .star-fill-overlay {
    width: 76%;
}

.star-rating[data-star="3.9"] .star-fill-overlay {
    width: 78%;
}

.star-rating[data-star="4"] .star-fill-overlay {
    width: 80%;
}

.star-rating[data-star="4.1"] .star-fill-overlay {
    width: 82%;
}

.star-rating[data-star="4.2"] .star-fill-overlay {
    width: 84%;
}

.star-rating[data-star="4.3"] .star-fill-overlay {
    width: 86%;
}

.star-rating[data-star="4.4"] .star-fill-overlay {
    width: 88%;
}

.star-rating[data-star="4.5"] .star-fill-overlay {
    width: 90%;
}

.star-rating[data-star="4.6"] .star-fill-overlay {
    width: 92%;
}

.star-rating[data-star="4.7"] .star-fill-overlay {
    width: 94%;
}

.star-rating[data-star="4.8"] .star-fill-overlay {
    width: 96%;
}

.star-rating[data-star="4.9"] .star-fill-overlay {
    width: 98%;
}

.star-rating[data-star="5"] .star-fill-overlay {
    width: 100%;
}

/* Profile setting page css */

.user-profile-form-group-fields {
    width: calc(100% - 272px);
    display: flex;
    gap: 0 30px;
    flex-wrap: wrap;
}

.user-information-form .user-profile-form-group-fields .form-group {
    width: calc(50% - 15px);
}

form#userProfileform .sign-up-form.user-information-form .user-profile-form-group-fields .form-group .form-control {
    width: 100%;
}

.user-profile-image {
    width: 260px;
}

.user-profile-upload-btn {
    margin-top: 20px;
    position: relative;
}

.user-profile-upload-btn input {
    display: flex;
    position: absolute;
    width: 100% !important;
    height: 100%;
    font-size: 0;
    border-radius: 40px;
    opacity: 0;
    cursor: pointer;
}

.user-profile-upload-btn label {
    border: 1px solid #22273629;
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: -0.25px;
    color: var(--secondary-color);
    display: inline-block;
    padding: 0 0 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 40px;
    /* padding: 12px 20px;
    border-radius: 40px;
    cursor: pointer; */
}

.user-profile-upload-btn label span {
    background: var(--secondary-color);
    color: var(--white-color);
    padding: 15px 20px;
    display: inline-block;
    border-radius: 40px;
}

.my-bookshelf-details-wrapper-left a.add-to-bookshelf-btn {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left::before {
    border: none;
}

.my-bookshelf-details-wrapper-content .my-bookshelf-details-wrapper-content-left {
    width: 100%;
    padding-right: 0;
}

.my-bookshelf-details-wrapper-heading p.book-detail-author-name {
    margin-bottom: 16px;
}

p.bookshelf-amazon-api-notice {
    margin-bottom: 30px;
    background: #e36164;
    padding: 10px;
    color: #fff;
    text-align: center;
    border-radius: 5px;
}

thead tr th {
    position: sticky;
    top: 0;
    background: #e36164;
    z-index: 10;
    color: white !important;
}

.non-sticky thead tr th {
    position: static;
}

/* amazon affiliate text css */
.amazon_btn_affiliate_txt {
    width: 100%;
    height: max-content;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    position: relative;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    opacity: 0.5;
}

.amazon_footer_affiliate_txt {
    font-size: 12px;
    line-height: 15px;
    font-weight: 400;
    opacity: 0.5;
}